interfaces Library: KTextEditor::SelectionDCOPInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SelectionDCOPInterface Class Reference

This is the main interface to the SelectionInterface of KTextEdit. DCOP interface to SelectionInterface. More...

`#include <selectiondcopinterface.h>`

Inheritance diagram for KTextEditor::SelectionDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::SelectionDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
bool | setSelection (uint startLine, uint startCol, uint endLine, uint endCol)
bool | clearSelection ()
bool | hasSelection ()
QString | selection ()
bool | removeSelectedText ()
bool | selectAll ()
## Public Member Functions
| SelectionDCOPInterface (SelectionInterface *Parent, const char *name)
virtual | ~SelectionDCOPInterface ()

## Detailed Description

This is the main interface to the SelectionInterface of KTextEdit. DCOP interface to SelectionInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file selectiondcopinterface.h.

## Constructor & Destructor Documentation

SelectionDCOPInterface::SelectionDCOPInterface | ( | SelectionInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  | Parent | the parent SelectionInterface object that will provide us with the functions for the interface.
  | name | the QObject's name
Definition at line 7 of file selectiondcopinterface.cpp.

SelectionDCOPInterface::~SelectionDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file selectiondcopinterface.cpp.

## Member Function Documentation

bool SelectionDCOPInterface::setSelection | ( | uint | startLine,
|  | uint | startCol,
|  | uint | endLine,
|  | uint | endCol
| ) |

| Returns: set the selection from line_start,col_start to line_end,col_end Definition at line 21 of file selectiondcopinterface.cpp.

bool SelectionDCOPInterface::clearSelection | ( |  | ) |

| removes the current Selection (not Text) Definition at line 29 of file selectiondcopinterface.cpp.

bool SelectionDCOPInterface::hasSelection | ( |  | ) |

| Returns: true if there is a selection Definition at line 37 of file selectiondcopinterface.cpp.

QString SelectionDCOPInterface::selection | ( |  | ) |

| Returns: a QString for the selected text Definition at line 45 of file selectiondcopinterface.cpp.

bool SelectionDCOPInterface::removeSelectedText | ( |  | ) |

| removes the selected Text Definition at line 53 of file selectiondcopinterface.cpp.

bool SelectionDCOPInterface::selectAll | ( |  | ) |

| select the whole text Definition at line 61 of file selectiondcopinterface.cpp.

The documentation for this class was generated from the following files:

- selectiondcopinterface.h
- selectiondcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003